[Contents] [Prev] [Next] [Index] [Report an Error]

# load-rebalance

#### Syntax

[ no ] load-rebalance [ period rebalancePeriod start-threshold rebalanceStartThreshold
[ percent | subscribers ] stop-threshold rebalanceStopThreshold
[ percent | subscribers ] maximum-improvement rebalanceMaximumImprovement
[ percent | subscribers ] ]

#### Release Information

Command introduced in JUNOSe Release 8.1.0.

#### Description

Configures the QoS algorithm for rebalancing the links in an 802.3ad link aggregation group (LAG). To configure the algorithm to dynamically rebalance the LAG using existing parameters, issue the load-rebalance command without any keywords. The no version restores the default parameters.

#### Options

- rebalancePeriod—Time period for rebalancing in seconds; in the range 0–86400; the default is 60 seconds
- rebalanceStartThreshold—Amount of imbalance in the LAG that triggers the algorithm to start rebalancing; the default is 0 percent
  - percent—Specifies that the threshold is measured as a percentage of the average load per link; in the range 0–100
  - subscribers—Specifies that the threshold is measured by the number of subscribers away from the average subscriber count per link in the LAG; in the range 0–100000
- rebalanceStopThreshold—Amount of imbalance in the LAG that triggers the algorithm to stop rebalancing; the default is 0 percent
  - percent—Specifies that the amount of imbalance is measured as a percentage of the average load per link; in the range 0–100
  - subscribers—Specifies that the threshold is measured by the number of subscribers away from the average subscriber count link in the LAG; in the range 0–100000
- rebalanceMaximumImprovement—Maximum number of links in the LAG to rebalance; the default is 100 percent
  - percent—Specifies that the maximum number of links is measured as a percentage of the total links; in the range 0–100
  - subscribers—Specifies that the maximum number of links is measured by the number of subscribers; in the range 0–100000

#### Mode

Interface Configuration

#### Related Topics

- Configuring Load Rebalancing for 802.3ad Link Aggregation Groups

[Contents] [Prev] [Next] [Index] [Report an Error]